Get Google Keywords Count
curl --request POST \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
147286063579104,
147286063579108
],
"selectedMonth": [
"Oct 2023",
"Sep 2023",
"Nov 2023"
],
"limit": 25,
"startIndex": 0,
"selectedkeywords": [
"prom"
],
"sortby": "frequency",
"order": "desc",
"keywordsSearch": "prom dresses"
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords"
payload = {
"businessNumbers": [147286063579104, 147286063579108],
"selectedMonth": ["Oct 2023", "Sep 2023", "Nov 2023"],
"limit": 25,
"startIndex": 0,
"selectedkeywords": ["prom"],
"sortby": "frequency",
"order": "desc",
"keywordsSearch": "prom dresses"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [147286063579104, 147286063579108],
selectedMonth: ['Oct 2023', 'Sep 2023', 'Nov 2023'],
limit: 25,
startIndex: 0,
selectedkeywords: ['prom'],
sortby: 'frequency',
order: 'desc',
keywordsSearch: 'prom dresses'
})
};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
]
}{
"code": 2458,
"message": "Invalid order value. Allowed values are 'asc' or 'desc'."
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Get Google Keywords Count
POST
/
v1
/
listing
/
{businessNumber}
/
gmb
/
keywords
Get Google Keywords Count
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Account Business Number.
Body
application/json
Filter months for which keyword data is required
Gives you keyword count for the selected keywords. keywordsSearch: To search by keywords that may also exist in search phrases, including the keyword itself.
To search by keywords that may also exist in search phrases, including the keyword itself.
Specify number of records to return.
Index to start search from. Default value 0.
Possible values “frequency” or “keyword”.
Possible values “asc” or “desc”.
list of the unique business ids associated with a business.
Response
OK
Returns business/location name along with its keywords count.

